Bug 1520512 - [abrt] pulseaudio: transport_state_changed_cb(): pulseaudio killed by SIGABRT
Summary: [abrt] pulseaudio: transport_state_changed_cb(): pulseaudio killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d05d164855aaf7b6bcc7b8d91e...
: 1576046 1582405 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 15:44 UTC by mystilleef
Modified: 2019-05-28 20:22 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:22:50 UTC


Attachments (Terms of Use)
File: backtrace (17.83 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: cgroup (289 bytes, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: core_backtrace (7.10 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: dso_list (7.64 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: environ (2.29 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: limits (1.29 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: maps (35.33 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: mountinfo (3.54 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: open_fds (3.12 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2017-12-04 15:44 UTC, mystilleef
no flags Details

Description mystilleef 2017-12-04 15:44:29 UTC
Version-Release number of selected component:
pulseaudio-11.1-6.fc28

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=b359c589fd5849069836816da4e7aa49;i=95f0;b=6594e0475e8d4a43af27e0dae7f9a07b;m=1a935eb01;t=55f853d2dae3a;x=7550282910b96d40
kernel:         4.14.3-300.vanilla.knurd.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 mystilleef 2017-12-04 15:44:36 UTC
Created attachment 1362731 [details]
File: backtrace

Comment 2 mystilleef 2017-12-04 15:44:37 UTC
Created attachment 1362732 [details]
File: cgroup

Comment 3 mystilleef 2017-12-04 15:44:38 UTC
Created attachment 1362733 [details]
File: core_backtrace

Comment 4 mystilleef 2017-12-04 15:44:39 UTC
Created attachment 1362734 [details]
File: cpuinfo

Comment 5 mystilleef 2017-12-04 15:44:40 UTC
Created attachment 1362735 [details]
File: dso_list

Comment 6 mystilleef 2017-12-04 15:44:42 UTC
Created attachment 1362736 [details]
File: environ

Comment 7 mystilleef 2017-12-04 15:44:43 UTC
Created attachment 1362737 [details]
File: limits

Comment 8 mystilleef 2017-12-04 15:44:44 UTC
Created attachment 1362738 [details]
File: maps

Comment 9 mystilleef 2017-12-04 15:44:45 UTC
Created attachment 1362739 [details]
File: mountinfo

Comment 10 mystilleef 2017-12-04 15:44:47 UTC
Created attachment 1362740 [details]
File: open_fds

Comment 11 mystilleef 2017-12-04 15:44:48 UTC
Created attachment 1362741 [details]
File: proc_pid_status

Comment 12 mystilleef 2017-12-04 15:44:49 UTC
Created attachment 1362742 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-02-20 15:32:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 14 Joel C 2018-05-03 21:21:49 UTC
Similar problem has been detected:

I connected my bluetooth headphones (Bludio UFO) and attempted to use them. The sound test skipped and then they disconnected and the crash occured. The headphones worked just fine on the same hardware using Fedora 27

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=1b5b3f31fd484ec78d62643aca3ae4ff;i=9beb;b=ea692eb461b144849f4ca6d829fe0f14;m=4c1f4615;t=56b53b97ce861;x=f8034f5f40eb5755
kernel:         4.16.5-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Mallikarjun 2018-05-04 05:32:51 UTC
Hi,

I am also facing the same problem.
My Bluetooth headset worked fine on Fedora 27. When I upgraded to Fedora 28, the Bluetooth crashes.

The error I get on my system is pm_writablesize_failed().

Please help us solve this error.

Thanks,
Mallikarjun

Comment 16 Michael Hathaway 2018-05-05 18:46:59 UTC
Similar problem has been detected:

Playing audio over a USB audio device. Then switched to bluetooth audio over a USB audio dongle. Worked with bad quality as HFP, crash occured when trying to switch to A2DP Sink mode.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=6202ff9b185d405789e768d173868934;i=bd46;b=d4eede0d9ce343e5b9b6e76988f903c3;m=226c38971;t=56b7943aaee6f;x=8bc66b57854b0de0
kernel:         4.16.5-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 jun 2018-05-08 16:16:15 UTC
*** Bug 1576046 has been marked as a duplicate of this bug. ***

Comment 18 Milheim 2018-05-09 17:40:17 UTC
Similar problem has been detected:

Listening to Pithos 1.4.1 on Fedora 28 x64 with Bluetooth headphones.  Pithos threw an error that the next song couldn't be retrieved and headphones cut out.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=9bf90d355edf43f3babd7892d775b90e;i=77de5;b=c0b30ac90ded4108b98b11e04942c088;m=3e64dc176;t=56bc93ec09a9a;x=73c089bc43a7721f
kernel:         4.16.6-302.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Christian Kujau 2018-05-11 00:27:02 UTC
Similar problem has been detected:

Connected bluetooth headphones to my laptop, played some music. Stopped the music, switched bluetooth headphones off, then pulseaudio crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=63b5bee277b64be3a2cf786fe9db6790;i=2d81;b=3a3c7470339844bcae210c11ae43571b;m=7a9dc211;t=56be309b20950;x=1f48c65791ec3038
kernel:         4.16.7-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Philippe Macé 2018-05-13 13:32:40 UTC
Similar problem has been detected:

After starting Fedora 28 and a firefox session conntected to a distant session of octoprint (doing nothing), puleseaudio crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=5eecd3fd967e4db39b167e23cdd3211c;i=c8be;b=923c80caf3c44e0e907dc21a791abc8c;m=12c2fad1d;t=56c164b6bc16f;x=72511e393aa0054f
kernel:         4.16.7-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Damián C 2018-05-14 12:52:59 UTC
Similar problem has been detected:

Pulseaudio is crashing when I use bluethoot headphones.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=23ac742845444e82a9f4711e63b96cd5;i=12d72;b=0302837245a340d1a1668bd511dd4c99;m=3ed4fac3;t=56c299d62c6d9;x=3a6ae23085d5e4e3
kernel:         4.16.7-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            10000

Comment 22 Mallikarjun 2018-05-15 14:35:39 UTC
Hi Fedora development team,

Can you please get this problem solved.
Bluetooth is working fine in Fedora 27 and it's failing in Fedora 28.

How can you release a new version of an operating system with bugs?

Also, can you please give a reply to all the users who have complained above.

Thanks,
Mallikarjun

Comment 23 Rex Dieter 2018-05-15 14:41:16 UTC
Re: comment 22

there is a candidate fix in updates-testing, please do test and provide feedback,
https://bodhi.fedoraproject.org/updates/FEDORA-2018-87bbd4df6e

Comment 24 Vlad 2018-05-17 17:18:04 UTC
Similar problem has been detected:

I was listening to stream music service Yandex.Music (music.yandex.ru) through my Bluetooth headset. The music stopped after 1 minute and the error popped up in the notification bar. When I tried once more the same thing happend. The problem didn't occur when I was using Fedora 27, yesterday I updated it to 28 version.
Browser: Google Chrome Version 66.0.3359.117 (Official Build) (64-bit)

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: transport_state_changed_cb
executable:     /usr/bin/pulseaudio
journald_cursor: s=6f349036d70c4de08ed1bcd4853b89a0;i=26e1b;b=5a76183013774f518696ea0fc7bbb924;m=d071f8c;t=56c69b9950664;x=3c20c4168a92d54e
kernel:         4.16.8-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 rsmilyanov 2018-05-25 06:48:49 UTC
*** Bug 1582405 has been marked as a duplicate of this bug. ***

Comment 26 Ben Cotton 2019-05-02 21:42:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-05-28 20:22:50 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.